<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="booking">
            <h2><span>Booking</span> {{ booking.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Remark</span></dt>
                <dd>
                    <span>{{ booking.remark }}</span>
                </dd>
                <dt><span>Created By</span></dt>
                <dd>
                    <span>{{ booking.createdBy }}</span>
                </dd>
                <dt><span>Updated By</span></dt>
                <dd>
                    <span>{{ booking.updatedBy }}</span>
                </dd>
                <dt><span>Created At</span></dt>
                <dd>
                    <span>{{ booking.createdAt }}</span>
                </dd>
                <dt><span>Updated At</span></dt>
                <dd>
                    <span>{{ booking.updatedAt }}</span>
                </dd>
                <dt><span>Booking Status</span></dt>
                <dd>
                    <div *ngIf="booking.bookingStatus">
                        <a [routerLink]="['/booking-status', booking.bookingStatus?.id, 'view']">{{ booking.bookingStatus?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/booking', booking.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
